%define module	AppConfig-Std
%define name	perl-%{module}
%define version 1.07
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Subclass of AppConfig that provides standard options
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/AppConfig/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-AppConfig

%description
AppConfig::Std is a Perl module that provides a set of standard configuration
variables and command-line switches. It is implemented as a subclass of
AppConfig; AppConfig provides a general mechanism for handling global
configuration variables.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/AppConfig/*
%{_mandir}/*/*





%changelog
* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-4mdv2008.1
+ Revision: 136885
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.07-3mdv2007.0
+ Revision: 73279
- import perl-AppConfig-Std-1.07-3mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.07-3mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 1.07-2mdk
- BuildRequires

* Thu Sep 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- Initial MDK release.

